Package org.htmlunit.html

# Class XHtmlPage

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.SgmlPage
org.htmlunit.html.HtmlPage
org.htmlunit.html.XHtmlPage

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Page`, `Document`, `Node`

public class XHtmlPage extends HtmlPage
A representation of an XHTML page returned from a server.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XHtmlPage(WebResponse webResponse, WebWindow webWindow)`
  Creates a new XHTML page instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasCaseSensitiveTagNames()`
  Returns `true` if this page has case-sensitive tag names, `false` otherwise.

  ### Methods inherited from class org.htmlunit.html.HtmlPage

  `addAutoCloseable, addHtmlAttributeChangeListener, adoptNode, checkChildHierarchy, cleanUp, clearComputedStyles, clearComputedStyles, clearComputedStylesUpToRoot, clone, cloneNode, createAttributeNS, createElement, createElementNS, createEntityReference, createProcessingInstruction, deregisterFramesIfNeeded, executeJavaScript, executeJavaScript, executeJavaScriptFunction, getActiveElement, getAnchorByHref, getAnchorByName, getAnchorByText, getAnchors, getBaseURL, getBody, getCharset, getContentType, getDocumentElement, getDocumentURI, getDOMBuilder, getDomConfig, getElementById, getElementByName, getElementFromPoint, getElementsById, getElementsByIdAndOrName, getElementsByName, getFocusedElement, getFormByName, getForms, getFrameByName, getFrames, getFullyQualifiedUrl, getHead, getHtmlElementByAccessKey, getHtmlElementById, getHtmlElementsByAccessKey, getImplementation, getInputEncoding, getMetaTags, getNamespaces, getOwnerDocument, getPage, getResolvedTarget, getSelectionRanges, getStrictErrorChecking, getStyleFromCache, getStyleSheets, getTabbableElementIds, getTabbableElements, getTitleText, getXmlEncoding, getXmlStandalone, getXmlVersion, handles, importNode, initialize, isAttachedToPage, isBeingParsed, isHtmlPage, isOnbeforeunloadAccepted, isParsingHtmlSnippet, isParsingInlineHtmlSnippet, isQuirksMode, pressAccessKey, putStyleIntoCache, refresh, registerInlineSnippetParsingEnd, registerInlineSnippetParsingStart, registerParsingEnd, registerParsingStart, registerSnippetParsingEnd, registerSnippetParsingStart, removeHtmlAttributeChangeListener, renameNode, save, setDocumentType, setDocumentURI, setDOMBuilder, setElementFromPointHandler, setElementWithFocus, setFocusedElement, setFocusedElement, setNodeValue, setPrefix, setSelectionRange, setStrictErrorChecking, setTitleText, setXmlStandalone, setXmlVersion, tabToNextElement, tabToPreviousElement, toString, writeInParsedStream`

  ### Methods inherited from class org.htmlunit.SgmlPage

  `asXml, characterDataChangeListenerAdded, createAttribute, createCDATASection, createComment, createDocumentFragment, createNodeIterator, createTextNode, domChangeListenerAdded, getCanonicalXPath, getDoctype, getElementsByTagName, getElementsByTagNameNS, getEnclosingWindow, getNodeName, getNodeType, getUrl, getWebClient, getWebResponse, isCharacterDataChangeListenerInUse, isDomChangeListenerInUse, isPrinting, normalizeDocument, setEnclosingWindow, setPrinting`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, basicRemove, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextElementSibling, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, printXml, processImportNode, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setTextContent, setUserData`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setTextContent, setUserData`

- ## Constructor Details

  - ### XHtmlPage

    public XHtmlPage(WebResponse webResponse, WebWindow webWindow)
    Creates a new XHTML page instance. An XHTML page instance is normally retrieved with `WebClient.getPage(String)`.
    Parameters:
      `webResponse` - the web response that was used to create this page
      `webWindow` - the window that this page is being loaded into

- ## Method Details

  - ### hasCaseSensitiveTagNames

    public boolean hasCaseSensitiveTagNames()
    Returns `true` if this page has case-sensitive tag names, `false` otherwise. In general, XML has case-sensitive tag names, and HTML doesn't. This is especially important during XPath matching.
    Overrides:
      `hasCaseSensitiveTagNames` in class `HtmlPage`
    Returns:
      `true` if this page has case-sensitive tag names, `false` otherwise